API ReferenceDomainsCreate Domain
Create Domain
Register a new domain. You can also optionally assign it to a group in the same request.
PUT
https://wapi.simplysend.email/web-setup/domainsParameters
domainRequiredstring
Domain name without protocol (e.g. 'mail.example.com').
useCaseIdRequiredstring
Use Case ID for the domain. e.g. tx-us-east-1
groupIdstring
Optional: ID of the domain group to assign to.
RequestPUT
curl -X PUT https://wapi.simplysend.email/web-setup/domains \
-H "X-Api-Key: your_api_key" \
-H "X-Id: your_account_id" \
-H "Content-Type: application/json" \
-d '{
"domain": "acme.com",
"useCaseId": "tx-us-east-1",
"groupId": "group_abc123"
}'Response
{
"success": true,
"data": {
"message": "Domain created successfully. Please add the DNS records to complete verification.",
"domain": "acme.com",
"domainId": "domain_1768776641476_d8vc40fk647",
"groupId": "dgroup_1772173331412_3jve68mb68p",
"status": "PENDING",
"dnsRecords": [
{
"type": "TXT",
"name": "simplysenda._domainkey.acme.com",
"value": "\"v=DKIM1; k=rsa; p=MIIBIjANBgkqhkiG9w0BA..."",
"description": "DKIM public key for email signing"
},
{
"type": "TXT",
"name": "acme.com",
"value": "\"v=spf1 include:amazonses.com include:rp.oracleemaildelivery.com ~all\"",
"purpose": "SPF",
"description": "SPF record for email authentication (Shared for SES and OCI)"
},
{
"type": "CNAME",
"name": "link.acme.com",
"value": "t-prod-mk-us.simplysend.email",
"purpose": "Tracking",
"description": "CNAME record for email open and click tracking"
},
{
"type": "TXT",
"name": "_dmarc.acme.com",
"value": "\"v=DMARC1; p=reject;\"",
"purpose": "DMARC",
"description": "DMARC policy record (Strict policy, supports BIMI)"
},
{
"type": "MX",
"name": "return-a.acme.com",
"value": "feedback-smtp.us-east-1.amazonses.com",
"priority": 10,
"description": "MX record for bounce and complaint handling"
},
{
"type": "CNAME",
"name": "simplysendo._domainkey.acme.com",
"value": "Creation in progress... (DKIM record). Wait...",
"ttl": 300,
"purpose": "DKIM Key (simplysendo)",
"description": "This record will be available once OCI finishes provisioning your DKIM selector"
}
],
"ociDomainId": "ocid1.emaildomain.oc1.phx.amaaaaaarnqk6hqahdzboyqcq3sthu44d6xbbk5zl4xywbijm5rvygndpywq",
"ociStatus": "PENDING"
}
}PUT
https://wapi.simplysend.email/web-setup/domainsParameters
domainRequiredstring
Domain name without protocol.
useCaseIdRequiredstring
Use Case ID for the domain.
RequestPUT
curl -X PUT https://wapi.simplysend.email/web-setup/domains \
-H "X-Api-Key: your_api_key" \
-H "X-Id: your_account_id" \
-H "Content-Type: application/json" \
-d '{
"domain": "acme.com",
"useCaseId": "tx-us-east-1"
}'